| Kea 3.0.2-git

connection.h File Reference
`#include <asiolink/interval_timer.h>`
`#include <asiolink/io_service.h>`
`#include <http/http_acceptor.h>`
`#include <http/request_parser.h>`
`#include <http/response_creator_factory.h>`
`#include <util/watch_socket.h>`
`#include <boost/enable_shared_from_this.hpp>`
`#include <boost/system/error_code.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <array>`
`#include <functional>`
`#include <string>`
Include dependency graph for connection.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::http::HttpConnection
| Accepts and handles a single HTTP connection. More...
class | isc::http::HttpConnectionError
| Generic error reported within HttpConnection class. More...
class | isc::http::HttpConnection::Transaction
| Represents a single exchange of the HTTP messages. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef boost::shared_ptr< HttpConnection > | isc::http::HttpConnectionPtr
| Pointer to the HttpConnection.